Chart-1.5.4: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2010, 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Axis.Indexed

Description

Calculate and render indexed axes

Synopsis

- newtype PlotIndex = PlotIndex {
  - plotindex_i :: Int
  }
- autoIndexAxis :: Integral i => [String] -> [i] -> AxisData i
- addIndexes :: [a] -> [(PlotIndex, a)]

# Documentation

newtype PlotIndex Source

Type for capturing values plotted by index number (ie position in a list) rather than a numerical value.

Constructors

PlotIndex |

Fields

plotindex_i :: Int

Instances

Enum PlotIndex Source |
Eq PlotIndex Source |
Integral PlotIndex Source |
Num PlotIndex Source |
Ord PlotIndex Source |
Real PlotIndex Source |
Show PlotIndex Source |
PlotValue PlotIndex Source |

autoIndexAxis :: Integral i => [String] -> [i] -> AxisData i Source

Create an axis for values indexed by position. The list of strings are the labels to be used.

addIndexes :: [a] -> [(PlotIndex, a)] Source

Augment a list of values with index numbers for plotting.